<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="default">
        <input>
            <port type="P1_START">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P1_SELECT">
                <newseq type="standard">
                    KEYCODE_4
                </newseq>
            </port>
            <port type="P1_MAHJONG_BET">
                <newseq type="standard">
                    KEYCODE_3
                </newseq>
            </port>
            <port type="P2_START">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P2_SELECT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P3_START">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P3_SELECT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_ON_SCREEN_DISPLAY">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_DEBUG_BREAK">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_CONFIGURE">
                <newseq type="standard">
                    KEYCODE_TAB
                </newseq>
            </port>
            <port type="UI_RESET_MACHINE">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SOFT_RESET">
                <newseq type="standard">
                    KEYCODE_F1
                </newseq>
            </port>
            <port type="UI_SHOW_GFX">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_FRAMESKIP_DEC">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_FRAMESKIP_INC">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_THROTTLE">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SHOW_FPS">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SNAPSHOT">
                <newseq type="standard">
                    KEYCODE_F4
                </newseq>
            </port>
            <port type="UI_RECORD_MOVIE">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_TOGGLE_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_UP">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port type="UI_DOWN">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port type="UI_LEFT">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port type="UI_RIGHT">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port type="UI_SELECT">
                <newseq type="standard">
                    KEYCODE_ENTER
                </newseq>
            </port>
            <port type="UI_PREV_GROUP">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_NEXT_GROUP">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_ROTATE">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SHOW_PROFILER">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_TOGGLE_DEBUG">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SAVE_STATE">
                <newseq type="standard">
                    KEYCODE_F5
                </newseq>
            </port>
            <port type="UI_LOAD_STATE">
                <newseq type="standard">
                    KEYCODE_F8
                </newseq>
            </port>
            <port type="UI_ADD_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_DELETE_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_SAVE_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_WATCH_VALUE">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_EDIT_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_RELOAD_CHEAT">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="UI_TOGGLE_CROSSHAIR">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
        </input>
    </system>
</mameconfig>
